#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 primitive-unlifted
version:              0.1.3.1
visibility:           public
id:                   primitive-unlifted-0.1.3.1-FqB5xWkVJVg9kTIo3Fymzi
key:                  primitive-unlifted-0.1.3.1-FqB5xWkVJVg9kTIo3Fymzi
license:              BSD-3-Clause
copyright:            2019 Andrew Martin
maintainer:           andrew.thaddeus@gmail.com
author:               Andrew Martin
homepage:             https://github.com/haskell-primitive/primitive-unlifted
synopsis:             Primitive GHC types with unlifted types inside
description:
    Primitive GHC types with unlifted types inside. There used
    to be a module named `Data.Primitive.UnliftedArray` in the
    `primitive` library. However, the techniques it used were
    unsound in the presence of certain FFI calls. This library
    a successor to that module.

category:             Data
abi:                  0764f62ee4a59e8d3d0a90682f8bc7a1
exposed:              True
exposed-modules:
    Data.Primitive.Unlifted.Array Data.Primitive.Unlifted.Class

import-dirs:          /usr/lib/ghc-9.0.2/site-local/primitive-unlifted-0.1.3.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/primitive-unlifted-0.1.3.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-primitive-unlifted
hs-libraries:         HSprimitive-unlifted-0.1.3.1-FqB5xWkVJVg9kTIo3Fymzi
depends:
    base-4.15.1.0 bytestring-0.10.12.1
    primitive-0.7.4.0-IIvIIhmD2KR4zArPDCqtir
    text-short-0.1.5-3y50IYI54apIfPkf2P5JMC

haddock-interfaces:
    /usr/share/doc/haskell-primitive-unlifted/html/primitive-unlifted.haddock

haddock-html:         /usr/share/doc/haskell-primitive-unlifted/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

